# Copyright (c) 2012 gocept gmbh & co. kg
# See also LICENSE.txt

# This should be only one line. If it must be multi-line, indent the second
# line onwards to keep the PKG-INFO file format intact.
"""
"""

from setuptools import setup, find_packages
import glob
import os.path


def project_path(*names):
    return os.path.join(os.path.dirname(__file__), *names)


setup(
    name='gocept.directory2',
    version='0.2',

    install_requires=[
        'SQLAlchemy',
        'alembic',
        'deform_bootstrap',
        'distribute',
        'grokcore.component',
        'jinja2',
        'js.bootstrap',
        'js.deform',
        'js.deform_bootstrap',
        'js.jquery',
        'js.jquery_datatables',
        'martian',
        'netaddr',
        'passlib',
        'passogva',
        'psycopg2',
        'pyramid',
        'mysql-python',
        'pyramid_beaker',
        'pyramid_debugtoolbar',
        'pyramid_deform',
        'pyramid_fanstatic',
        'pyramid_mailer',
        'pyramid_tm',
        'pyramid_who',
        'pyramid_xmlrpc',
        'pytz',
        'repoze.who',
        'setuptools',
        'transaction',
        'waitress',
        'zope.component',
        'zope.configuration',
        'zope.event',
        'zope.interface',
        'zope.security',
        'zope.sqlalchemy',
    ],


    extras_require={
        'test': [
            'gocept.httpserverlayer',
            'gocept.testdb',
            'gocept.testing',
            'mock',
            'plone.testing[zca]',
            'requests',
            'zope.testbrowser[wsgi]',
        ]
    },

    entry_points={
        'paste.app_factory': [
            'admin=gocept.directory2.admin:factory',
            'api=gocept.directory2.api:factory',
        ],
        'console_scripts': [
            'initialize_directory2_db = gocept.directory2.scripts.initializedb:main',
            'add_admin_user = gocept.directory2.scripts.add_admin_user:main',
        ],
        'fanstatic.libraries': [
            'gocept.directory2 = gocept.directory2.admin.resources:library',
        ],
    },

    author='gocept <mail@gocept.com>',
    author_email='mail@gocept.com',
    license='ZPL 2.1',
    url='https://projects.gocept.com/projects/gocept-directory2/',

    keywords='',
    classifiers="""\
License :: OSI Approved :: Zope Public License
Programming Language :: Python
Programming Language :: Python :: 2
Programming Language :: Python :: 2.6
Programming Language :: Python :: 2.7
Programming Language :: Python :: 2 :: Only
"""[:-1].split('\n'),
    description=__doc__.strip(),
    long_description='\n\n'.join(open(project_path(name)).read() for name in (
        'README.txt',
        'HACKING.txt',
        'CHANGES.txt',
    )),

    namespace_packages=['gocept'],
    packages=find_packages('src'),
    package_dir={'': 'src'},
    include_package_data=True,
    data_files=[('', glob.glob(project_path('*.txt')))],
    zip_safe=False,
)
